Linux 6.9 termina il supporto per il driver ext2 – Informatica – Notizie

Linux non supporta più il driver ext2 a partire dalla versione 6.9. L'uso del file system ext2 è in declino da anni, da allora è stato sostituito dai file system ext3 ed ext4.

Est 2, o File System esteso II, È un file system specifico del kernel Linux ed esiste da circa trent'anni. Per molto tempo questo è stato il file system predefinito in varie distribuzioni Linux. Tuttavia, circa venti anni fa, ext3 fu aggiunto al kernel Linux, seguito da ext4 più di dieci anni fa. L'uso di ext2 è stato successivamente rifiutato.

Supporto driver Ext2 fermati adesso Perché non supporta le date successive al 2038, perché Problema Y2038. Questo problema si verifica sui sistemi che tengono traccia dell'ora in formato Unix o del numero di secondi trascorsi dalle 00:00:00 UTC del 1 gennaio 1970. Viene mantenuto come numero intero a 32 bit, ma equivale al 19 gennaio , 2038. 03:14:07 UTC Valore massimo. Il numero intero continua poi ad un valore negativo, indicando la data del 13 dicembre 1901.

Gli sviluppatori Linux consigliano agli utenti che utilizzano ancora ext2 di aggiornare al driver ext4. Questo driver non soffre del problema Y2038 e supporta anche il file system ext2. Il codice del driver ext2 rimane come riferimento per gli sviluppatori di file system.

READ  Ti vedo: un telefono con sensore ottico che può spiarti senza fotocamera

We will be happy to hear your thoughts

Leave a reply

TGcomnews24